Bug 639751 - Java code @Annotations are highlighted incorrectly
Java code @Annotations are highlighted incorrectly
Status: CLOSED NOTABUG
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-03 18:22 EDT by Jared MORGAN
Modified: 2015-08-09 21:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-04 02:36:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Mixture of parameterless and parameterized annotations (9.96 KB, image/png)
2010-10-04 01:59 EDT, Ondrej Skutka
no flags Details
example of how kate highlights this text (51.32 KB, image/png)
2010-10-04 02:27 EDT, Jeff Fearn
no flags Details

  None (edit)
Description Jared MORGAN 2010-10-03 18:22:13 EDT
Description of problem:

I'm raising this bug on behalf of a JBoss Community QA team-member.  The original ticket can be read at: https://jira.jboss.org/browse/JBDOCS-327

The current code highlighting package doesn't handle java annotations well. Parameterized annotations are highlighted as methods and parameterless annotations are not highlighted at all. 

Moreover having method names highlighted is not standard.

Version-Release number of selected component (if applicable):

Publican v2.1

How reproducible:

100%. Content is consistently formatted incorrectly.

Steps to Reproduce:
1. Create a Java <programlisting> that contains annotations.
2. Publish using Publican.
3. Note the formatting.
  
Actual results:

Results appear as per the attached picture.

Expected results:

Parameterized, and Parameterless Annotations are highlighted correctly, and classnames are formatted appropriately. 

Additional info:
Comment 1 Ondrej Skutka 2010-10-04 01:59:14 EDT
Created attachment 451340 [details]
Mixture of parameterless and parameterized annotations
Comment 2 Jeff Fearn 2010-10-04 02:27:51 EDT
Created attachment 451344 [details]
example of how kate highlights this text
Comment 3 Jeff Fearn 2010-10-04 02:36:15 EDT
This text is highlighted exactly the same as how it's highlighted in Kate, which is exactly what syntax::highlighter::kate is supposed to do.

If this behaviour requires changing then a bug should be opened upstream, against Kate, to get the source changed.

Note You need to log in before you can comment on or make changes to this bug.